com.r3corda.node.utilities.certsigning / CertificateSigningService

# CertificateSigningService

`interface CertificateSigningService`

### Functions

retrieveCertificates | `abstract fun retrieveCertificates(requestId: String): Array<Certificate>?` Poll Certificate Signing Server for the request and returns a chain of certificates if request has been approved, null otherwise.
submitRequest | `abstract fun submitRequest(request: <ERROR CLASS>): String` Submits a CSR to the signing service and returns an opaque request ID.

### Inheritors

HTTPCertificateSigningService | `class HTTPCertificateSigningService : CertificateSigningService`